namespace ProjectBoat_bae
{
    public partial class FormBoat : Form
    {
        // -   

        private Drawing? _drawningBoat;

        public FormBoat()
        {
            InitializeComponent();
        }

        //   
        private void Draw()
        {
            if (_drawningBoat == null)
            {
                return;
            }
            Bitmap bmp = new(pictureBox1.Width,
            pictureBox1.Height);
            Graphics gr = Graphics.FromImage(bmp);
            _drawningBoat.DrawTransport(gr);
            pictureBox1.Image = bmp;
        }

        //   
        private void buttonMove_Click(object sender, EventArgs e)
        {
            if (_drawningBoat == null)
            {
                return;
            }
            string name = ((Button)sender)?.Name ?? string.Empty;
            switch (name)
            {
                case "button_top":
                    _drawningBoat.MoveTransport(DiretionType.Up);
                    break;
                case "button_bottom":
                    _drawningBoat.MoveTransport(DiretionType.Down);
                    break;
                case "button_left":
                    _drawningBoat.MoveTransport(DiretionType.Left);
                    break;
                case "button_right":
                    _drawningBoat.MoveTransport(DiretionType.Right);
                    break;
            }
            Draw();
        }

        private void buttonClick(object sender, EventArgs e)
        {
            Random random = new();
            _drawningBoat = new Drawing();
            _drawningBoat.Init(random.Next(100, 300), random.Next(1000, 3000), 
            Color.FromArgb(random.Next(0, 256), random.Next(0, 256), random.Next(0, 256)), 
            Color.FromArgb(random.Next(0, 256), random.Next(0, 256), random.Next(0, 256)),
            //Convert.ToBoolean(random.Next(0, 2)),
            Convert.ToBoolean(random.Next(0, 2)), pictureBox1.Width, pictureBox1.Height);
            _drawningBoat.SetPosition(random.Next(10, 100), random.Next(10, 100));
            Draw();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {

        }

        private void button_top_Click(object sender, EventArgs e)
        {

        }
    }
}